---
updatedAt: 2026-04-24T07:39:03.000Z
agentTools:
  projectIndex: https://developer.xentral.com/llms.txt
---

# Check the liveness of the service

The request a Xentral instance makes to an external carrier service to check the liveness of the service. This request will be made roughly every minute.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Carrier Integration Service Contract",
    "version": "v0.1",
    "description": "The Carrier Integration Service Contract defines the interface for setting up custom shipping methods inside of Xentral based on external carrier services. This contract is used by partners to implement the required endpoints to integrate their carrier services with Xentral. The contract defines the following endpoints:\n\n- **GET /xentral/liveness**: Check the liveness of the service\n- **GET /xentral/carriers**: A list of available carriers and their products\n- **POST /xentral/shippingLabel**: Get a shipping label\n\nThe contract also defines the request and response bodies for each endpoint.",
    "contact": {
      "name": "Xentral",
      "url": "https://xentral.com",
      "email": "api@xentral.com"
    }
  },
  "tags": [
    {
      "name": "Carrier Integration Service Contract",
      "description": "All endpoints required to be implemented by partners to integrate their carrier services with Xentral."
    }
  ],
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Bearer token obtained in POST /tokens endpoint or pregenerated in the system."
      }
    }
  },
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "servers": [
    {
      "url": "https://{domain}",
      "description": "The carrier integration service URL",
      "variables": {
        "domain": {
          "default": "xentral.example-carrier-service.com"
        }
      }
    }
  ],
  "x-readme": {
    "samples-languages": []
  },
  "paths": {
    "/xentral/liveness": {
      "get": {
        "tags": [
          "Carrier Integration Service Contract"
        ],
        "operationId": "xentral.carrierIntegrationService.liveness",
        "summary": "Check the liveness of the service",
        "description": "The request a Xentral instance makes to an external carrier service to check the liveness of the service. This request will be made roughly every minute.",
        "responses": {
          "200": {
            "description": "The service is alive"
          }
        }
      }
    }
  }
}
```